/**
* @file SIGMA_GetMovieFileInfoExp.h
* @brief SIGMA SDK
* @date 2020/05/18
*/
#pragma once

#ifndef __SIGMA_GetMovieFileInfoExp_H_
#define __SIGMA_GetMovieFileInfoExp_H_

#include "SIGMA_SDK_COMMON.h"

//=================================================================================================
// ֐
//=================================================================================================

#ifdef __cplusplus
extern "C" {
#endif

	HRESULT WINAPI sgm_GetMovieFileInfo(
		LPSDK_INFO			lpInfo,
		DWORD				imageId,
		MovieFileInfo		movieInfo[],
		DWORD				MaxCount,
		DWORD				*ActualCount,
		MovieFileInfoExt	movieInfoExt[],
		BYTE				**buffer,
		int					*data_len
		);

#ifdef __cplusplus
}
#endif

#endif	// #ifndef __SIGMA_GetMovieFileInfoExp_H_
